<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body class="body-login">
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!--Logic-->
<form action="#" th:action="@{/auth/login}" th:object="${login}" method="post">
    <div class="container">
        <div class="row">
            <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
                <div class="card border-0 shadow rounded-3 my-5">
                    <div class="card-body p-4 p-sm-5">
                        <h5 class="card-title text-center mb-5 fw-light fs-5">Sign In</h5>
                        <form>
                            <div class="form-floating mb-3">
                                <input type="text" th:field="*{username}" class="form-control" id="floatingInput"
                                       th:placeholder="Username">
                                <label for="floatingInput">Username</label>
                            </div>
                            <div class="form-floating mb-3">
                                <input type="password" th:field="*{password}" class="form-control" id="floatingPassword"
                                       th:placeholder="Password">
                                <label for="floatingPassword">Password</label>
                            </div>
                            <label class="error" style="color: #ff2c00" th:errors="*{username}">Error
                                placeholder</label>

                            <div class="form-check mb-3">
                                <input class="form-check-input" type="checkbox" value="" id="rememberPasswordCheck">
                                <label class="form-check-label" for="rememberPasswordCheck">
                                    Remember password
                                </label>
                            </div>
                            <div class="d-grid">
                                <button class="btn btn-secondary btn-login text-uppercase fw-bold" type="submit">Sign
                                    in
                                </button>
                            </div>
                            </br>
                            <hr class="my-4">
                            <!--                        Register-->
                            <div class="form-check mb-3">
                                <a class="form-check-label"
                                   for="rememberPasswordCheck"
                                   th:text="'Dont have an acount?  Register  '"
                                   th:href="@{/auth/register}">Register</a>
                            </div>
                            <div class="form-check mb-3">
                                <a class="form-check-label"
                                   for="forgottenPassword"
                                   th:href="@{/forgot_password}">Forgotten Password</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
</body>
</html>